.container {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;

    .body {
        display: flex;
        flex-direction: column;
        align-items: center;

        .label {
            min-height: 15rem;
            height: 50vh;
            display: flex;
            flex-direction: column;

            .frame {
                height: 100%;

                &.grayscale {
                    filter: grayscale(1);
                    opacity: 0.5;
                }
            }

            .wrong {
                margin-top: -1.5em;
                text-align: center;
                // prevent grayscale overlay
                z-index: 2;
            }
        }

        .desc {
            text-align: center;

            .error {
                color: $red-600;
            }

            .message {
                font-size: $font-size-small;
            }
        }

        .tip {
            color: $grey-700;
            font-size: $font-size-small;
        }

        .buttons {
            @include marginTop(8);
        }
    }
}
